<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Owners</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
</head>
<body>
<header>
    <nav class="navbar navbar-expand-sm bg-dark navbar-dark"><br>
        <div class="collapse navbar-collapse" id="collapsibleNavbar">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="main">Главная</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="owners">Владельцы</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="buses">Автобусы</a>
                </li>
            </ul>
        </div>
    </nav>
</header>
<div class="container mt-5 mb-5">
    <h4>Изменение владельца</h4>
    <div th:each="o : ${owner}">
        <form action="#" th:action="@{/owner/edit/{id}(id=${owner.id})}" th:object="${owner}" method="post">
            <input type="text" th:value="${o.name}" name="name" placeholder="Введите имя" class="form-control" required></br>
            <input type="text" th:value="${o.surname}" name="surname" placeholder="Введите фамилию" class="form-control" required></br>
            <input type="number" th:value="${o.age}" name="age" max="100" min="18" placeholder="Введите возраст" class="form-control" required></br>
            <label for="list_1">Наявность судимости</label>
            <select class="form-control" th:value="${o.isCriminal}" name="isCriminal" id="list_1">
                <option value="Нет">Нет</option>
                <option value="Есть">Есть</option>
            </select></br>
            <button type="submit" class="btn btn-success">Изменить</button>
        </form>
    </div>
</div>
</body>
</html>